{-# LANGUAGE CPP #-}
{- |
   Module      :  System.Win32.Error
   Copyright   :  2013 shelarcy
   License     :  BSD-style

   Maintainer  :  shelarcy@gmail.com
   Stability   :  Provisional
   Portability :  Non-portable (Win32 API)

   Error handling for foreign calls to the Win32 API.

   This module

   * reorganize Win32 package's error handling functions.

   * supports to show non-UTF MutiByte error message without using GHC 7.8.1.
-}
module  System.Win32.Error
  ( failIf, failIf_, failIfNull
  , failIfZero, failIfFalse_
  , failUnlessSuccess, failUnlessSuccessOr
  , errorWin, failWith
  , failIfWithRetry, failIfWithRetry_, failIfFalseWithRetry_
  ) where
#if __GLASGOW_HASKELL__ >= 707
import System.Win32.File  ( failIfWithRetry, failIfWithRetry_, failIfFalseWithRetry_ )
import System.Win32.Types
#else
import System.Win32.Error.MultiByte
#endif
